EvLoop::now
EvLoop::periodic
EvLoop
PHP Manual

# EvLoop::nowUpdate

Establishes the current time by querying the kernel, updating the time returned by EvLoop::now in the progress.

### Description

public void EvLoop::nowUpdate ( void )

Establishes the current time by querying the kernel, updating the time returned by EvLoop::now in the progress. This is a costly operation and is usually done automatically within EvLoop::run .

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- EvLoop::now
- Ev::nowUpdate